{
  buildDotnetModule,
  dotnetCorePackages,
  fetchFromGitHub,
  lib,
  mediainfo,
  rhash,
}:

buildDotnetModule rec {
  pname = "shoko-cli";
  version = "0-unstable-2025-01-10";

  src = fetchFromGitHub {
    owner = "ShokoAnime";
    repo = "ShokoServer";
    rev = "252cb62591e56f4dc4a717722de0d87ba9dbf715";
    hash = "sha256-Mzm2DTZg5L/mVFL5mEku1R+9p4SP769tUPmU/1gJS3k=";
    fetchSubmodules = true;
  };

  projectFile = "Shoko.CLI/Shoko.CLI.csproj";
  executables = [ "Shoko.CLI" ];
  nugetDeps = ./deps.json;
  runtimeDeps = [
    mediainfo
    rhash
  ];
  dotnet-sdk = dotnetCorePackages.sdk_8_0;
  dotnet-runtime = dotnetCorePackages.sdk_8_0;
  dotnetBuildFlags = [
    "--no-self-contained"
    "/p:Version=\"5.0.0.0\""
  ];

  meta = with lib; {
    description = "The All-in-One Cross-Platform Anime Management System Built For You";
    homepage = "https://shokoanime.com/";
    license = licenses.mit;
    maintainers = with maintainers; [
      wizardlink
    ];
    mainProgram = "Shoko.CLI";
    platforms = dotnet-runtime.meta.platforms;
  };
}
